com.trendmicro.ds.appcontrol.rest.object.drift

## Class ReviewApplicationDriftResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ReviewApplicationDriftResponse

-     public class ReviewApplicationDriftResponse
      extends java.lang.Object

  Response object for the ReviewApplicationDrift API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReviewApplicationDriftResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getDecisionLogID()` Get the ID for review application drift decision.
    `void` | `setDecisionLogID(java.lang.Long decisionLogID)` Set the ID for review application drift decision.
    `ReviewApplicationDriftResponse` | `withDecisionLog(java.lang.Long decisionLogID)` Set the ID for review application drift decision.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReviewApplicationDriftResponse

          public ReviewApplicationDriftResponse()

  - ### Method Detail

    - #### getDecisionLogID

          public java.lang.Long getDecisionLogID()

      Get the ID for review application drift decision.
      Returns:
        the ID for review application drift decision.

    - #### setDecisionLogID

          public void setDecisionLogID(java.lang.Long decisionLogID)

      Set the ID for review application drift decision.
      Parameters:
        `the` - ID for review application drift decision.

    - #### withDecisionLog

          public ReviewApplicationDriftResponse withDecisionLog(java.lang.Long decisionLogID)

      Set the ID for review application drift decision.
      Parameters:
        `decisionLogID` - the ID for review application drift decision.
      Returns:
        the updated `ReviewApplicationDriftResponse` object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.